> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rails.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supported Markets

> This endpoint retrieves all the supported markets by our exchange.



## OpenAPI

````yaml GET /api/v1/markets
openapi: 3.1.0
info:
  title: Market Data API
  version: 1.0.0
servers:
  - url: https://market-data.sandbox.rails.xyz
security: []
paths:
  /api/v1/markets:
    get:
      summary: Get all supported markets
      operationId: getSupportedMarkets
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  markets:
                    type: array
                    description: List of all supported market names.
                    items:
                      type: string
                      description: Market name, e.g., 'BTC-USDT'.
                required:
                  - markets
              example:
                markets:
                  - BTC-USDT
                  - ETH-USDT

````